Subject: [Mgs] Chromium Plating

From: Rod Williams via Mgs <[email-masked]>
Date: Tue, 7 Apr 2015 18:00:37 -0700

Barrie
I had the original front and rear bumpers for my ’67 B along with the over-riders and bolts repaired and re-plated at Sherm’s Custom Plating in Sacramento, CA. (http://www.shermsplating.com/) They did a fantastic job, cleaning up a lot of dents and scratches and straightening both bumpers. The over-riders especially needed a lot of dent repair. They look better than new and fit perfectly. I opted for the mid-grade service, not even the top of the line quality, and they look beautiful. I paid right around $700 US and I think it was a bargain. I looked into some bumper re-chrome specialists and their work looked really sketchy plus I heard lots of complaints about the work not lasting. I’ve had these on my car for over a year and, although I drive my car a lot, they look like the day I put them on. 

--
Rod Williams
Petaluma, California
1967 MGB

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]